Get maps for a game
curl --request GET \
--url https://api.16tms.com/api/v1/games/{gameId}/maps \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.16tms.com/api/v1/games/{gameId}/maps"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.16tms.com/api/v1/games/{gameId}/maps', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "Game maps retrieved successfully",
"data": [
{
"id": "c8c3997e-c4f0-4813-a27f-36b845c74196",
"name": "asdad",
"description": "asdad",
"imageUrl": "none",
"coverImage": "none",
"size": null,
"layout": null,
"gameId": "de578779-61ec-4425-8e13-5b61971bd353"
}
],
"meta": {
"traceId": "00-76b6d78f0dd1693ba67e7f5a26736404-a470a9ce3a7b0887-00",
"elapsedMs": 0.85,
"serverTimestamp": "2026-02-09T11:21:55.7491824Z"
}
}{
"success": false,
"message": "Invalid API key",
"errors": [
{
"field": "mapId",
"message": "Invalid map ID format"
}
],
"meta": {
"traceId": "<string>",
"serverTimestamp": "2023-11-07T05:31:56Z"
}
}{
"success": false,
"message": "Invalid API key",
"errors": [
{
"field": "mapId",
"message": "Invalid map ID format"
}
],
"meta": {
"traceId": "<string>",
"serverTimestamp": "2023-11-07T05:31:56Z"
}
}{
"success": false,
"message": "Invalid API key",
"errors": [
{
"field": "mapId",
"message": "Invalid map ID format"
}
],
"meta": {
"traceId": "<string>",
"serverTimestamp": "2023-11-07T05:31:56Z"
}
}API Reference
Get maps for a game
Retrieves all maps available for a specific game.
GET
/
games
/
{gameId}
/
maps
Get maps for a game
Authorizations
API key for authentication. You can generate this from the 16TMS console.
Path Parameters
The unique identifier of the game
Response
Game maps retrieved successfully
⌘I